repo/proj/guru:master commit in: dev-embedded/nxp-gui-guider/
"David Roman" <[email protected]> Tue, 04 Aug 2026 08:49:39 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785752977.95e99952bb26543a4a8c67a245d97aa1dc51b433.davidroman@gentoo> |
commit: 95e99952bb26543a4a8c67a245d97aa1dc51b433
Author: Huang Rui <vowstar <AT> gmail <DOT> com>
AuthorDate: Mon Aug 3 10:19:45 2026 +0000
Commit: David Roman <stkw0 <AT> disroot <DOT> org>
CommitDate: Mon Aug 3 10:29:37 2026 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=95e99952
dev-embedded/nxp-gui-guider: add 2.0.0
Signed-off-by: Huang Rui <vowstar <AT> gmail.com>
dev-embedded/nxp-gui-guider/Manifest | 1 +
.../nxp-gui-guider/nxp-gui-guider-2.0.0.ebuild | 68 ++++++++++++++++++++++
2 files changed, 69 insertions(+)
diff --git a/dev-embedded/nxp-gui-guider/Manifest b/dev-embedded/nxp-gui-guider/Manifest
index 2ef2166652..ebad46eddb 100644
--- a/dev-embedded/nxp-gui-guider/Manifest
+++ b/dev-embedded/nxp-gui-guider/Manifest
@@ -1 +1,2 @@
+DIST GUIGuider-2.0.0-amd64.deb 209098816 BLAKE2B ef444233a2e6d92b81142f2df1f85be4778a6efe13f965cda15e750f42a6bcd7908e18f471cfffec20eaaea840a3294f7115c2999f3bc07e717f2ae5bb344987 SHA512 f4b5d9f06ce93bc6d7d826ca39b597d2b0a7f21be3fcade49a37a5f17fd0c4b1b8995f6f1ba10bf5882e2d3413f169a6d8dcfccc9c17403cc38974c62ca390c1
DIST Gui-Guider-Setup-1.10.1-GA.deb 215467198 BLAKE2B 6fb770d166d3477bb0c43a6532b9d1783307679809ad92f5ed173609b0fd60db3d5e0650bc04d76d1bd4745f690bdf67f8d2463de4ea7b456b02578db8b4a8f5 SHA512 b9625e42f6be0591d635bd7dcd9810069e431863fd9ecee6bb6db788f1234de4884f0ff8eeb4c7b5ce226200b24e2a27606429944ee9c3cc9cf161d076bef4e6
diff --git a/dev-embedded/nxp-gui-guider/nxp-gui-guider-2.0.0.ebuild b/dev-embedded/nxp-gui-guider/nxp-gui-guider-2.0.0.ebuild
new file mode 100644
index 0000000000..8ebe02176e
--- /dev/null
+++ b/dev-embedded/nxp-gui-guider/nxp-gui-guider-2.0.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit desktop unpacker xdg
+
+DESCRIPTION="GUI Guider is a user-friendly GUI development tool for LVGL"
+HOMEPAGE="https://www.nxp.com/design/design-center/software/development-software/gui-guider"
+SRC_URI="
+ GUIGuider-${PV}-amd64.deb
+"
+S="${WORKDIR}"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+RESTRICT="bindist fetch strip"
+
+RDEPEND="
+ app-accessibility/at-spi2-core
+ dev-libs/libayatana-appindicator
+ dev-libs/libffi
+ dev-libs/nss
+ media-libs/libsdl2
+ virtual/libusb:1
+ x11-libs/libnotify
+ x11-libs/libXScrnSaver
+ x11-libs/libXtst
+"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-util/patchelf"
+
+QA_PREBUILT="*"
+DOCS=( "opt/GUIGuider/EULA.html" )
+
+pkg_nofetch() {
+ einfo "${PN} requires you to accept their license agreement before downloading."
+ einfo "Download ${SRC_URI}"
+ einfo "with your browser and place it in DISTDIR (usually /var/cache/distfiles/)"
+ einfo "Please place the ${P} installation file ${SRC_URI}"
+ einfo "in your \$\{DISTDIR\}."
+}
+
+src_install() {
+ insinto "/opt"
+ doins -r opt/GUIGuider
+ # Fix RPATHs to ensure the libraries can be found
+ pushd "${D}/opt/GUIGuider" || die
+ for f in $(find .) ; do
+ [[ -f "${f}" && $(od -t x1 -N 4 "${f}") == *"7f 45 4c 46"* ]] || continue
+ fperms 0755 "/opt/GUIGuider/${f}"
+ done
+ popd || die
+ local linkserver="/opt/GUIGuider/resources/assets/LinkServer/linux/binaries"
+ pushd "${D}${linkserver}" || die
+ for f in $(find .) ; do
+ [[ -f "${f}" && $(od -t x1 -N 4 "${f}") == *"7f 45 4c 46"* ]] || continue
+ # .cfx are statically linked ARM flash algorithms
+ [[ "${f: -4}" != ".cfx" ]] || continue
+ patchelf --set-rpath "${linkserver}" "${f}" || die "patchelf failed on ${f}"
+ done
+ popd || die
+ newicon -s 512 "usr/share/icons/hicolor/512x512/apps/guiguider.png" "guiguider.png"
+ domenu "usr/share/applications/guiguider.desktop"
+ einstalldocs
+}